Subject: bug#25851: 25.2; GTK warning when starting Emacs when desktop file has more than one frame

From: [email-masked] (N. Jackson)
Date: Fri, 24 Feb 2017 08:41:15 -0500

At 10:07 +0200 on Friday 2017-02-24, Eli Zaretskii wrote:

> right now I believe I am (or was) confused...
>
>> Lisp Backtrace:
>> "x-create-frame" (0xffff8ed0)
>> "x-create-frame-with-faces" (0xffff9408)
>> 0x1550b80 PVEC_COMPILED
>> "apply" (0xffff9a70)
>> "frame-creation-function" (0xffffa010)
>> "make-frame" (0xffffa560)
>> "make-frame-on-display" (0xffffaac8)
>> "frameset--restore-frame" (0xffffb0c0)
>> "frameset-restore" (0xffffb610)
>> "desktop-restore-frameset" (0xffffbba8)
>> "desktop-read" (0xffffc100)
>
> This seems to indicate Emacs is restoring desktop into a new GUI
> session.  But in your original report you said:
>
>> When starting Emacs from a terminal/console window, GTK emits
>> the following message
>
> which I interpreted to mean you were starting "emacs -nw". Did I
> misinterpret what you were saying?  If so, what is the
> significance of the "terminal/console window" part?

Sorry for the confusion there, Eli. What I mean(t) is that I start
a new GUI Emacs by entering

  src/emacs &

in a terminal/console such as XTerm or Konsole. (This is how I
normally start Emacs.)

The only relevance of the start from the terminal/console is that
I then see the warnings and errors emitted. (If I had started it
from the window manager / desktop environment then those would not
be visible to me.)

N.